
image: python:latest

stages:
    - build
    - deploy

cache:
  paths:
    - .pip

build: 
  stage: build  
  before_script:
    - mkdir -p .pip
    - pip3 --cache-dir=.pip install awscli --upgrade
    - pip3 --cache-dir=.pip install aws-sam-cli --upgrade
  script:
    - sam build
  artifacts:
    paths:
      - .aws-sam
    expire_in: 1 week

deploy:  
  stage: deploy  
  before_script:
    - mkdir -p .pip
    - pip3 --cache-dir=.pip install awscli --upgrade
    - pip3 --cache-dir=.pip install aws-sam-cli --upgrade
  script:
    - sam deploy --stack-name dummy-application --s3-bucket $AWS_BUCKET --capabilities CAPABILITY_IAM

